function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import { Node } from 'prosemirror-model';
export var DOM_ATTRIBUTE_SIZE = 'data-spacer-size';
export var SPACER_SIZE_TAB = 'tab';
export var SPACER_SIZE_TAB_LARGE = 'tab-large';

// See http://jkorpela.fi/chars/spaces.html
export var HAIR_SPACE_CHAR = "\u200A";
var SpacerMarkSpec = {
  attrs: {
    size: {
      "default": SPACER_SIZE_TAB
    }
  },
  defining: true,
  draggable: false,
  excludes: '_',
  group: 'inline',
  inclusive: false,
  inline: true,
  spanning: false,
  parseDOM: [{
    tag: "span[".concat(DOM_ATTRIBUTE_SIZE, "]"),
    getAttrs: function getAttrs(el) {
      return {
        size: el.getAttribute(DOM_ATTRIBUTE_SIZE) || SPACER_SIZE_TAB
      };
    }
  }],
  toDOM: function toDOM(node) {
    var size = node.attrs.size;
    return ['span', _defineProperty({}, DOM_ATTRIBUTE_SIZE, size), 0];
  }
};
export default SpacerMarkSpec;
import { bpfrpt_proptype_MarkSpec } from "./Types.js";